org.apache.http.conn

## Interface DnsResolver

- All Known Implementing Classes:
    InMemoryDnsResolver, SystemDefaultDnsResolver

      public interface DnsResolver

  Users may implement this interface to override the normal DNS lookup offered by the OS.
  Since:
    4.2

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetAddress[]` | `resolve(String host)` Returns the IP address for the specified host name, or null if the given host is not recognized or the associated IP address cannot be used to build an InetAddress instance.

- - ### Method Detail

    - #### resolve

          InetAddress[] resolve(String host)
                                throws UnknownHostException

      Returns the IP address for the specified host name, or null if the given host is not recognized or the associated IP address cannot be used to build an InetAddress instance.
      Parameters:
        `host` - The host name to be resolved by this resolver.
      Returns:
        The IP address associated to the given host name, or null if the host name is not known by the implementation class.
      Throws:
        `UnknownHostException`
      See Also:
        `InetAddress`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.